org.eclnt.jsfserver.elements.componentnodes

## Class ROWTLCOCKPITNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWTLCOCKPITNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWTLCOCKPITNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWTLCOCKPITNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWTLCOCKPITNode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWTLCOCKPITNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWTLCOCKPITNode` | `bindHeight(IDynamicContentBindingObject value)`
    `ROWTLCOCKPITNode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `ROWTLCOCKPITNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWTLCOCKPITNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWTLCOCKPITNode` | `bindWidth(IDynamicContentBindingObject value)`
    `ROWTLCOCKPITNode` | `setComment(java.lang.String value)`
    `ROWTLCOCKPITNode` | `setConfiginfo(java.lang.String value)`
    `ROWTLCOCKPITNode` | `setHeight(int value)`
    `ROWTLCOCKPITNode` | `setHeight(java.lang.String value)`
    `ROWTLCOCKPITNode` | `setId(java.lang.String value)`
    `ROWTLCOCKPITNode` | `setObjectbinding(java.lang.String value)`
    `ROWTLCOCKPITNode` | `setRendered(boolean value)`
    `ROWTLCOCKPITNode` | `setRendered(java.lang.String value)`
    `ROWTLCOCKPITNode` | `setStylevariant(java.lang.String value)`
    `ROWTLCOCKPITNode` | `setWidth(int value)`
    `ROWTLCOCKPITNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWTLCOCKPITNode

          public ROWTLCOCKPITNode()

  - ### Method Detail

    - #### setId

          public ROWTLCOCKPITNode setId(java.lang.String value)

    - #### setComment

          public ROWTLCOCKPITNode setComment(java.lang.String value)

    - #### bindComment

          public ROWTLCOCKPITNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWTLCOCKPITNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWTLCOCKPITNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public ROWTLCOCKPITNode setHeight(java.lang.String value)

    - #### bindHeight

          public ROWTLCOCKPITNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ROWTLCOCKPITNode setHeight(int value)

    - #### setObjectbinding

          public ROWTLCOCKPITNode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public ROWTLCOCKPITNode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWTLCOCKPITNode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWTLCOCKPITNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWTLCOCKPITNode setRendered(boolean value)

    - #### setStylevariant

          public ROWTLCOCKPITNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWTLCOCKPITNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public ROWTLCOCKPITNode setWidth(java.lang.String value)

    - #### bindWidth

          public ROWTLCOCKPITNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public ROWTLCOCKPITNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.